package com.yyrh.impl;

import android.content.Context;

/**
 * @author #Suyghur.
 * Created on 2021/10/15
 */
public final class SdkBoost {

    static {
        System.loadLibrary("xinrui");
    }

    private SdkBoost() {

    }

    public static SdkBoost getInstance() {
        return SdkBoostHolder.INSTANCE;
    }

    public native void initSdkBoost(Context context);

    public native void setParam(String key, String value);

    public native String getParam(String key);

    public native String invokeJob(Context context, String raw);

    public native String parseJob(Context context, String data);

    private static final class SdkBoostHolder {
        private static final SdkBoost INSTANCE = new SdkBoost();
    }


}
